## libkqoauth 0.94.0-1

=== debian/changelog ===
libkqoauth (0.94.0-1) unstable; urgency=low

  * Fixed linking problem and optify package.
  * Name changed to libkqoauth

 -- Marko Mattila <marko.mattila@d-pointer.com>  Mon,  7 Feb 2011 21:48:41 -0400

kqoauth (0.94.0) unstable; urgency=low

  * Initial debian packaging for Maemo 5.
    It's not yet optified. 

 -- Marko Mattila <marko.mattila@d-pointer.com>  Sun, 30 Jan 2011 00:33:22 +0300
