=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := libkqoauth
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/usr/lib ../src/src.pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME)
	echo "Current dir $(PWD)"
	cp lib/*.so* $(CURDIR)/debian/$(APPNAME)/usr/lib
	cp include/* $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauthmanager.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include	
	cp src/kqoauthrequest.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include 
	cp src/kqoauthrequest_1.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauthrequest_xauth.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauthglobals.h $(CURDIR)/debian/$(APPNAME)-dev/usr/include
	cp src/kqoauth.pc $(CURDIR)/debian/$(APPNAME)/usr/lib/pkgconfig
	cp kqoauth.prf $(CURDIR)/debian/$(APPNAME)-dev/usr/share/qt4/mkspecs/features
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
