=== tests/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Feb 6 21:05:41 2011
# Project:  tests.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile tests.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-ut_kqoauth \
		sub-ft_kqoauth

ut_kqoauth/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ut_kqoauth/ || $(MKDIR) ut_kqoauth/ 
	cd ut_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ut_kqoauth/ut_kqoauth.pro -o $(MAKEFILE)
sub-ut_kqoauth-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ut_kqoauth/ || $(MKDIR) ut_kqoauth/ 
	cd ut_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ut_kqoauth/ut_kqoauth.pro -o $(MAKEFILE)
sub-ut_kqoauth: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE)
sub-ut_kqoauth-make_default: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) 
sub-ut_kqoauth-make_first: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) first
sub-ut_kqoauth-all: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) all
sub-ut_kqoauth-clean: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) clean
sub-ut_kqoauth-distclean: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) distclean
sub-ut_kqoauth-install_subtargets: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) install
sub-ut_kqoauth-uninstall_subtargets: ut_kqoauth/$(MAKEFILE) FORCE
	cd ut_kqoauth/ && $(MAKE) -f $(MAKEFILE) uninstall
ft_kqoauth/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ft_kqoauth/ || $(MKDIR) ft_kqoauth/ 
	cd ft_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ft_kqoauth/ft_kqoauth.pro -o $(MAKEFILE)
sub-ft_kqoauth-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ft_kqoauth/ || $(MKDIR) ft_kqoauth/ 
	cd ft_kqoauth/ && $(QMAKE) /home/marko/kqoauth-1.0.0/tests/ft_kqoauth/ft_kqoauth.pro -o $(MAKEFILE)
sub-ft_kqoauth: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE)
sub-ft_kqoauth-make_default: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) 
sub-ft_kqoauth-make_first: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) first
sub-ft_kqoauth-all: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) all
sub-ft_kqoauth-clean: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) clean
sub-ft_kqoauth-distclean: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) distclean
sub-ft_kqoauth-install_subtargets: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) install
sub-ft_kqoauth-uninstall_subtargets: ft_kqoauth/$(MAKEFILE) FORCE
	cd ft_kqoauth/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: tests.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile tests.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile tests.pro

qmake_all: sub-ut_kqoauth-qmake_all sub-ft_kqoauth-qmake_all FORCE

make_default: sub-ut_kqoauth-make_default sub-ft_kqoauth-make_default FORCE
make_first: sub-ut_kqoauth-make_first sub-ft_kqoauth-make_first FORCE
all: sub-ut_kqoauth-all sub-ft_kqoauth-all FORCE
clean: sub-ut_kqoauth-clean sub-ft_kqoauth-clean FORCE
distclean: sub-ut_kqoauth-distclean sub-ft_kqoauth-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-ut_kqoauth-install_subtargets sub-ft_kqoauth-install_subtargets FORCE
uninstall_subtargets: sub-ut_kqoauth-uninstall_subtargets sub-ft_kqoauth-uninstall_subtargets FORCE

sub-ut_kqoauth-check: ut_kqoauth/$(MAKEFILE)
	cd ut_kqoauth/ && $(MAKE) check
sub-ft_kqoauth-check: ft_kqoauth/$(MAKEFILE)
	cd ft_kqoauth/ && $(MAKE) check
check: sub-ut_kqoauth-check sub-ft_kqoauth-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
