=== debian/changelog ===
libkqoauth (0.94.0-2) unstable; urgency=low

  * More fixes to rules file.

 -- Marko Mattila <marko.mattila@d-pointer.com>  Mon,  11 Feb 2011 00:41:41 -0400
